Class ContentStorageInformation

    • Constructor Detail

      • ContentStorageInformation

        public ContentStorageInformation​(RestWrapper restWrapper)
    • Method Detail

      • getStorageInfo

        public RestContentStorageInfoModel getStorageInfo()
        Get Content Storage Properties using GET call on "nodes/{nodeId}/storage-info/{contentPropName}"
        Returns:
      • getStorageInfo

        public RestContentStorageInfoModel getStorageInfo​(java.lang.String nodeId,
                                                          java.lang.String contentPropName)
        Get Content Storage Properties using GET call on "nodes/{nodeId}/storage-info/{contentPropName}"
        Parameters:
        nodeId - The nodeId
        contentPropName - The content property QNAME ie. "cm:content"
        Returns:
      • requestArchiveContent

        public RestResponse requestArchiveContent​(RestArchiveContentRequestModel archiveContentRequest)
        Send content to archive using POST call on "nodes/{nodeId}/storage-info/{contentPropName}/archive"
        Parameters:
        archiveContentRequest - The request body
        Returns:
      • requestArchiveContent

        public RestResponse requestArchiveContent​(java.lang.String nodeId,
                                                  java.lang.String contentPropName,
                                                  RestArchiveContentRequestModel archiveContentRequest)
        Send content to archive using POST call on "nodes/{nodeId}/storage-info/{contentPropName}/archive"
        Parameters:
        nodeId - The nodeId
        contentPropName - The content property QNAME ie. "cm:content"
        archiveContentRequest - The request body
        Returns:
      • requestRestoreContentFromArchive

        public RestResponse requestRestoreContentFromArchive​(RestRestoreArchivedContentRequestModel restoreArchivedContentRequest)
        Send content to archive using POST call on "nodes/{nodeId}/storage-info/{contentPropName}/archive-restore"
        Parameters:
        restoreArchivedContentRequest - The request body
        Returns:
      • requestRestoreContentFromArchive

        public RestResponse requestRestoreContentFromArchive​(java.lang.String nodeId,
                                                             java.lang.String contentPropName,
                                                             RestRestoreArchivedContentRequestModel restoreArchivedContentRequest)
        Send content to archive using POST call on "nodes/{nodeId}/storage-info/{contentPropName}/archive-restore"
        Parameters:
        nodeId - The nodeId
        contentPropName - The content property QNAME ie. "cm:content"
        restoreArchivedContentRequest - The request body
        Returns: